Skip to content

@Athanasius Athanasius released this Jun 10, 2021 · 2 commits to main since this release

  • We now test against, and package with, Python 3.9.5.

    As a consequence of this we no longer support Windows 7.
    This is due to Python 3.9.x itself not supporting Windows 7.
    The application (both EDMarketConnector.exe and EDMC.exe) will crash on startup due to a missing DLL.

    This should have no other impact on users or plugin developers, other than the latter now being free to use features that were introduced since the Python 3.7 series.

    Developers can check the contents of the .python-version file in the source (it's not distributed with the Windows installer) for the currently used version in a given branch.

Release 5.1.1

The big change in this is adjustments to be in line with Journal changes in Elite Dangerous Odyssey 4.0.0.400, released 2021-06-10, with respect to the Odyssey materials Inventory.

This update is mandatory if you want EDMarketConnector to update Inara.cz with your Odyssey inventory.

  • ShipLockerMaterials is dead, long live ShipLocker. Along with other changes to how backpack inventory is handled we should now actually be able to fully track all Odyssey on-foot materials and consumables without errors.

  • Inara plugin adjusted to send the new ShipLocker inventory to Inara.cz. This is still only your ship inventory of Odyssey materials, not anything currently in your backpack whilst on foot.
    See this issue for some quotes from Artie (Inara.cz developer) about not including backpack contents in the Inara inventory.

  • Errors related to sending data to EDDN are now more specific to aid in diagnoising issues.

  • Quietened some log output if we encounter connection errors trying to utilise the Frontier CAPI service.

Translations

We believe that nothing should be worse in this version compared to 5.1.1, although a small tweak or two might have leaked through.

We'll be fully addressing translations in a near-future release after we've conclude the necessary code level work for the new system. Nothing should change for those of you helping on OneSky, other than at most the 'comments' on each translation. They should be more useful!

Pending that work we've specifically chosen not to update any translations in this release, so they'll be the same as released in 5.1.0.

Bug Fixes

  • Handle where the Backpack.json file for a Backpack event is a zero length
    file. Closes #1138.

  • Fixed case of 'Selection' in 'Override Beta/Normal Selection' text on Settings > Configuration. This allows translations to work.

Plugin Developers

  • We've updated Contributing.md including:

    1. Re-ordered the sections to be in a more logcial and helpful order.
    2. Added a section about choosing an appropriate log level for messages.
    3. fstrings now mandatory, other than some use of .format() with respect to translated strings.
  • docs/Translations.md updated about a forthcoming change to how we can programmatically check that all translation strings have a proper comment in 'L10n/en.template' to aid translators.

  • state passed to journal_entry() now has ShipLockerJSON which contains the json.load()-ed data from the new 'ShipLocker.json' file. We do attempt to always load from this file, even when the ShipLocker Journal event itself contains all of the data (which it does on startup, embark and disembark), so it should always be populated when plugins see any event related to Odyssey inventory.

Assets 3